#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false) ;
    cin.tie(0) ;
    cout.tie(0) ;
    int n ;
    cin >> n ;
    vector<int> a(n), b(n) ;
    for(int i=0 ; i<n ; i++){
        cin >> a[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> b[i] ;
    }
    int maxval=0 ;
    int xval ;
    int aval ;
    int val ;
    for(int i=0 ; i<n ; i++){
        xval=0 ;
        aval=(1 << 30)-1 ;
        for(int j=i; j<n ; j++){
            xval^=a[j] ;
            aval&=b[j] ;
            val=xval*aval ;
            maxval = max(maxval, val) ;
        }
    }

    cout << maxval << endl;

    return 0;
}